<template>
 <div class='app'>
   <a-card
     style='width:100%'
     :bordered='false'
     :tabList='tabList'
     :activeTabKey='selectKey'
     @tabChange="key => handleTabChange(key, 'selectKey')">
     <weekly-submit-view v-if="selectKey === 'submit'">
     </weekly-submit-view>
     <right-statistics-user v-if="selectKey === 'user'">
     </right-statistics-user>
     <right-statistics-pro v-if="selectKey === 'pro'"/>
   </a-card>
 </div>
</template>

<script>
import RightStatisticsUser from '@views/week/modules/RightStatisticsUser'
import RightStatisticsPro from '@views/week/modules/RightStatisticsPro'
import WeeklySubmitView from '@views/week/WeeklySubmitView'
export default {
  name: 'RightStatisticsWeekly',
  components: { WeeklySubmitView, RightStatisticsPro, RightStatisticsUser },
  data(){
    return{
      desc:'周报统计',
      tabList: [{
        key: 'submit',
        tab: '提交概览'
      },{
        key: 'user',
        tab: '周、月、季工时统计'
      }, {
        key: 'pro',
        tab: '年度工时统计'
      }
      ],
      selectKey: 'submit',
    }
  },
  methods:{
    handleTabChange(key, type) {
      this[type] = key
    }
  }
}
</script>

<style lang='less' scoped>
.app{
  width: 100%;
  height: 100%;
  background: white;
  min-height: calc(100vh - 140px);
}

</style>